Bug 739744 - vdsm should raise the right error message when trying to use same ip address on the same nic with vlans
Summary: vdsm should raise the right error message when trying to use same ip address ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.2.0
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
: 3.5.0
Assignee: Moti Asayag
QA Contact: Martin Pavlik
URL:
Whiteboard: network
Depends On: 732448
Blocks: 746745
TreeView+ depends on / blocked
 
Reported: 2011-09-19 21:41 UTC by Ayal Baron
Modified: 2016-02-10 19:55 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 732448
Environment:
Last Closed: 2014-02-05 14:33:26 UTC
oVirt Team: Network


Attachments (Terms of Use)

Comment 1 RHEL Product and Program Management 2012-05-04 04:09:36 UTC
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 2 lpeer 2012-05-08 09:12:24 UTC
related to BZ 732448

Comment 6 Itamar Heim 2013-12-29 11:32:14 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Comment 7 Martin Pavlik 2014-02-05 11:48:06 UTC
issue still valid

Comment 8 Dan Kenigsberg 2014-02-05 13:33:35 UTC
Martin, would you care to include a current vdsm.log and supervdsm.log of the matter?

Comment 9 Martin Pavlik 2014-02-05 14:33:26 UTC
My bad. 

I assumed when there is not a fix it does not work.

But it actually works properly, after I've tried to assign duplicate IP to second VLAN, engine GUI displays proper error message

Error while executing action:

dell-07:

    Invalid list of interfaces, two or more network interfaces have the same IP.


and log in engine.log

2014-02-05 15:27:03,205 WARN  [org.ovirt.engine.core.bll.network.host.SetupNetworksCommand] (ajp--127.0.0.1-8702-2) [b29063d] CanDoAction of action SetupNetworks failed. Reasons:VAR__ACTION__SETUP,VAR__TYPE__NETWORKS,VALIDATION.REPETITIVE.IP.IN.VDS


So closing as working in current release

tesed on  Red Hat Enterprise Virtualization Manager Version: 3.3.0-0.46.el6ev 
and  oVirt Engine Version: 3.4.0-0.5.beta1.el6


Note You need to log in before you can comment on or make changes to this bug.